summaryrefslogtreecommitdiff
path: root/debian/mailgraph.postrm
diff options
context:
space:
mode:
Diffstat (limited to 'debian/mailgraph.postrm')
-rw-r--r--debian/mailgraph.postrm38
1 files changed, 38 insertions, 0 deletions
diff --git a/debian/mailgraph.postrm b/debian/mailgraph.postrm
new file mode 100644
index 0000000..7b631d4
--- /dev/null
+++ b/debian/mailgraph.postrm
@@ -0,0 +1,38 @@
+#! /bin/sh
+# postrm script for mailgraph
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# This script is called twice during the removal of the package; once
+# after the removal of the package's files from the system, and as
+# the final step in the removal of this package, after the package's
+# conffiles have been removed.
+
+case "$1" in
+ remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ ;;
+
+ purge)
+ for ext in '~' '%' .bak .ucf-new .ucf-old .ucf-dist; do
+ rm -f /etc/default/mailgraph$ext
+ done
+
+ rm -f /etc/default/mailgraph
+
+ if which ucf >/dev/null; then
+ ucf --purge /etc/default/mailgraph
+ fi
+ if which ucfr >/dev/null; then
+ ucfr --purge mailgraph /etc/default/mailgraph
+ fi
+
+ ;;
+
+ *) echo "$0: didn't understand being called with \`$1'" 1>&2
+ exit 0;;
+esac
+
+exit 0
+